dots.v2.genAi.models.catalog.byId().get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.genAi.models.catalog.byId(id).get(requestConfiguration?: RequestConfiguration<CatalogItemRequestBuilderGetQueryParameters>): Promise<undefined | ApiGetModelCatalogCardOutput>Description
Returns detailed information for a specific model in the catalog including capabilities, pricing, and code examples.
Parameters
Path Parameters
idstring requiredExample:
"example string"
Query Parameters
modelIdstring optionalExample:
"example string"Model identifier used for API calls (e.g., "llama3.1-70b-instruct"). Alternative to UUID lookup.
Request Sample
Response Example
More Information
See /v2/gen-ai/models/catalog/{id} in the API reference for additional detail on responses, headers, parameters, and more.